Subject: Ticket Assigned - Landmark Group
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 08 Feb 2021 11:33:41 +0000

Hi Manish Kumar,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group I ordered the Revolution black eyeliner in my order number 9628560348

And in a sealed new pack- i recieved a TESTER of the product.
It was all dried up and wasted.

I am very disappointed with your service.
My order was worth aed 1,517 
And my shukrans did not get loaded
The products came delivered as TESTERS
I dont know what to say

But very poor performance!
Thumbs down https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2035500